package com.chenyang.nse.bussiness.service.core;

import com.chenyang.nse.bussiness.entity.orm.table.core.desensitizationtask.DesensitizationAlgorithm;
import com.chenyang.nse.bussiness.entity.orm.table.core.desensitizationtask.DesensitizationAlgorithmType;
import java.util.List;

public interface DesensitizationAlgorithmService {
   List<DesensitizationAlgorithmType> queryTypeAll();

   List<DesensitizationAlgorithm> queryInfoById(String typeid);

   List<DesensitizationAlgorithm> queryAll();

   DesensitizationAlgorithm queryInfoByName(String name);
}
